Subject: Re: [Dime] Dime rechartering: Include Carrier-Grade NAT ControlApplication?

From: "Frank Brockners (fbrockne)" <[email-masked]>
Date: Wed, 4 Mar 2009 17:18:03 +0100

Quick follow-up on the discussion we've had a while back: The just
recently posted draft
http://tools.ietf.org/html/draft-brockners-diameter-nat-control-00
outlines a new Diameter application for NAT control.
 
Appreciate your comments.
 
Thanks, Frank

________________________________

	From: Avi Lior [mailto:[email-masked]] 
	Sent: Friday, October 17, 2008 11:42 PM
	To: David Frascone; Frank Brockners (fbrockne)
	Cc: [email-masked]
	Subject: RE: [Dime] Dime rechartering: Include Carrier-Grade NAT
ControlApplication?

	David,
	 
	I agree with Frank that having such an application is required
and now is the time to work on it.
	 
	I have been engaged with several wireless operators that are
planning to deploy a CGN in the next year.  I have been developing a set
of AAA requirements to support such deployements over the past month.
	 
	It would be good to develop those as the CGN draft is being
progressed.
	 
	Avi 

________________________________

		From: [email-masked]
[mailto:[email-masked]] On Behalf Of David Frascone
		Sent: October 17, 2008 9:53 AM
		To: Frank Brockners (fbrockne)
		Cc: [email-masked]
		Subject: Re: [Dime] Dime rechartering: Include
Carrier-Grade NAT Control Application?

		Do you think we could have a draft before the meeting?

		On Fri, Oct 17, 2008 at 4:19 AM, Frank Brockners
(fbrockne) <[email-masked]> wrote:

			Hi,
			
			while re-chartering DIME, could we consider a
new application for
			Carrier-Grade NAT (CGN) control? CGN has become
an important topic
			within the IPv4-completion/exhaustion debate -
also proven by the
			significant number of drafts on this particular
topic. Consequently, per
			endpoint control of a CGN is an important
question to be addressed.
			Please find an abstract of a forthcoming draft
below. I'm working on the
			full draft, but wanted to get the abstract out
asap so that the work can
			be considered as part of the new charter.
			
			Thanks, Frank
			
			--
			
			Title
			
			  Diameter Carrier-Grade NAT Control Application
			
			Abstract
			
			  The document will describe the framework,
messages and procedures for
			  the Diameter Carrier-Grade NAT Control (CGNC)
application.  The
			Diameter
			  CGNC application allows gateways (e.g. Network
Access Server (NAS))
			to
			  interact with Carrier-Grade NAT (CGN) devices.
The interaction is to
			  establish a context to commonly identify and
manage endpoints on
			  gateway and CGN. It is to allow the gateway to
control and manage the
			
			  behavior of a CGN on a per-endpoint basis
(e.g. control the total
			number
			  of bindings for a particular endpoint, request
the allocation of
			  a binding for a particular endpoint). In
addition, it allows the CGN
			  to provide information relevant to accounting
purposes to the gateway
			
			  (e.g. allocated NAT bindings etc.).
			_______________________________________________
			DiME mailing list
			[email-masked]
			https://www.ietf.org/mailman/listinfo/dime